<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-453"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20UITableView%28TpCellClass%29%E5%88%86%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: UITableView(TpCellClass)分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_u_i_table_view_07_tp_cell_class_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> |
<a href="category_u_i_table_view_07_tp_cell_class_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">UITableView(TpCellClass)分类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_u_i_table_view_09_tp_cell_class_8h_source.html">UITableView+TpCellClass.h</a>&gt;</code></p>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:aacf8530e9cfe2c99a3a89a2cdbe5892b"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_table_view_07_tp_cell_class_08.html#aacf8530e9cfe2c99a3a89a2cdbe5892b">tp_RegisterCellsClass:</a></td></tr>
<tr class="separator:aacf8530e9cfe2c99a3a89a2cdbe5892b"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ae06dbc6b4ef1439c0f9cdcc544e3b7b1"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_table_view_07_tp_cell_class_08.html#ae06dbc6b4ef1439c0f9cdcc544e3b7b1">tp_RegisterWithXib:</a></td></tr>
<tr class="separator:ae06dbc6b4ef1439c0f9cdcc544e3b7b1"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="aacf8530e9cfe2c99a3a89a2cdbe5892b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacf8530e9cfe2c99a3a89a2cdbe5892b">◆&nbsp;</a></span>tp_RegisterCellsClass:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) tp_RegisterCellsClass: </td>
          <td></td>
          <td class="paramtype">(NSArray &lt;<a class="el" href="interface_tp_cell_class_type.html">TpCellClassType</a> *&gt; *)&nbsp;</td>
          <td class="paramname"><em>cellClasses</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>tableview 注册cell</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">cellClasses</td><td>存储用于cell重用的对象 </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<a id="ae06dbc6b4ef1439c0f9cdcc544e3b7b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae06dbc6b4ef1439c0f9cdcc544e3b7b1">◆&nbsp;</a></span>tp_RegisterWithXib:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) tp_RegisterWithXib: </td>
          <td></td>
          <td class="paramtype">(NSArray&lt;<a class="el" href="interface_tp_cell_class_type.html">TpCellClassType</a> *&gt;*)&nbsp;</td>
          <td class="paramname"><em>cellClasses</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<p>tableview 注册xib创建的Cell</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tbody><tr><td class="paramname">cellClasses</td><td>存储用于cell重用的对象 </td></tr>
  </tbody></table>
  </dd>
</dl>

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/Category/UITableview+Categories/<a class="el" href="_u_i_table_view_09_tp_cell_class_8h_source.html">UITableView+TpCellClass.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/Category/UITableview+Categories/<a class="el" href="_u_i_table_view_09_tp_cell_class_8m.html">UITableView+TpCellClass.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_u_i_table_view_07_tp_cell_class_08.html">UITableView(TpCellClass)</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>